Subject: Re: linux-next: acpi tree build failure

From: Len Brown <[email-masked]>
Date: Sun, 27 Sep 2009 03:54:34 -0400 (EDT)

> > > drivers/i2c/busses/i2c-scmi.c: In function 'acpi_smbus_cmi_add':
> > > drivers/i2c/busses/i2c-scmi.c:374: error: implicit declaration of function 'acpi_device_uid'
> > > drivers/i2c/busses/i2c-scmi.c:374: warning: format '%s' expects type 'char *', but argument 5 has type 'int'
> > > 
> > > Caused by commit 6622d8cee73a26bce958484065c8f0e704911a62 ("ACPI: remove
> > > acpi_device_uid() and related stuff") interacting with commit
> > > dc9854212e0d7318d7133697906d98b78f3088b6 ("i2c: Add driver for SMBus
> > > Control Method Interface") recently added to Linus' tree.
> > > 
> > > I have used the version of the acpi tree from next-20090925 for today.
> > 
> > I think we should use the following patch to remove the usage of
> > acpi_device_uid().  Crane, do you agree, or is there some special
> > reason you need it here?

> I agree.

Thanks Crane, upstream now includes Bjorn's patch.

-Len Brown, Intel Open Source Technology Center